Web lists-archives.com

Re: An appropriate directory search tool?




-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Hi,

On 21/10/18 06:05, Brian wrote:
> On Sat 20 Oct 2018 at 07:19:50 -0500, Richard Owlett wrote:
>> Had never heard of 'zenity'. I browsed the text of the page. To
>> read it as intended I'll have to use an alternate profile -- it
>> expects "features" I've explicitly disabled.
>> 
>> I searched for 'zenity tutorials'. The first few I found
>> encourage further investigation.
> 
> I'd stay awy from zenity if I were you. The same advice applies to
> yad. As for dialog - don't go near it. You will be a lot happier.

Zenity looks pretty ordinary.  Lots of output to terminal, chose
random date, saw as follows:


$ zenity --calendar --text='When is your birthday?' --title='Example 1'

(zenity:28755): Gtk-WARNING **: Theme parsing error:
gtk-widgets.css:154:27: The style property GtkButton:image-spacing is
deprecated and shouldn't be used anymore. It will be removed in a
future version

(zenity:28755): Gtk-WARNING **: Theme parsing error:
gtk-widgets.css:155:26: The style property GtkButton:inner-border is
deprecated and shouldn't be used anymore. It will be removed in a
future version

(zenity:28755): Gtk-WARNING **: Theme parsing error:
gtk-widgets.css:584:27: The style property GtkButton:image-spacing is
deprecated and shouldn't be used anymore. It will be removed in a
future version

(zenity:28755): Gtk-WARNING **: Theme parsing error:
gtk-widgets.css:585:28: The style property GtkWidget:interior-focus is
deprecated and shouldn't be used anymore. It will be removed in a
future version

(zenity:28755): Gtk-WARNING **: Theme parsing error:
gtk-widgets.css:586:28: The style property GtkButton:default-border is
deprecated and shouldn't be used anymore. It will be removed in a
future version

(zenity:28755): Gtk-WARNING **: Theme parsing error:
gtk-widgets.css:587:26: The style property GtkButton:inner-border is
deprecated and shouldn't be used anymore. It will be removed in a
future version

(zenity:28755): Gtk-WARNING **: Theme parsing error:
gtk-widgets.css:1344:25: The style property GtkRange:slider-width is
deprecated and shouldn't be used anymore. It will be removed in a
future version

(zenity:28755): Gtk-WARNING **: Theme parsing error:
gtk-widgets.css:1345:25: The style property GtkRange:stepper-size is
deprecated and shouldn't be used anymore. It will be removed in a
future version

(zenity:28755): Gtk-WARNING **: Theme parsing error:
gtk-widgets.css:1347:28: The style property GtkRange:stepper-spacing
is deprecated and shouldn't be used anymore. It will be removed in a
future version

(zenity:28755): Gtk-WARNING **: Theme parsing error:
gtk-widgets.css:1348:34: The style property
GtkRange:trough-under-steppers is deprecated and shouldn't be used
anymore. It will be removed in a future version
Gtk-Message: GtkDialog mapped without a transient parent. This is
discouraged.
25/10/18


Cheers
A
-----BEGIN PGP SIGNATURE-----

iHUEAREIAB0WIQTJAoMHtC6YydLfjUOoFmvLt+/i+wUCW8w+JQAKCRCoFmvLt+/i
+4xwAQDVkeoD6fTPiv60pYDuwJB0fg2ZW8YIUW1gt2sGvwC+HQD+Mjp5JdaF/kez
KBCN3t8QIsSWeymUYP4Uh/zgXox95GM=
=5Wsf
-----END PGP SIGNATURE-----